<template>
	<div>
		<!-- Toolbar -->
		<v-app-bar app clipped-left>
			<v-btn icon @click.stop="toggleNavigationDrawer">
				<v-avatar>
					<v-icon v-if="!drawer.open">fa-bars</v-icon>
					<v-icon v-else>fa-times</v-icon>
				</v-avatar>
			</v-btn>
			<v-toolbar-title>{{ title }}</v-toolbar-title>
			<v-spacer />
			<v-toolbar-items>
				<v-btn icon>
					<v-icon>fa-bell</v-icon>
				</v-btn>
			</v-toolbar-items>
		</v-app-bar>

		<!-- Navigation Drawer -->
		<v-navigation-drawer app clipped v-model="drawer.open" style="max-height: 100%">
			<v-list-item>
				<v-list-item-avatar>
					<v-img
						src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQ97nynHETPkcHfpv-X_8-2yxyjRAeheGcsaCnVJv0jAi_qBc7PWg"
					/>
				</v-list-item-avatar>

				<v-list-item-content>
					<v-list-item-title>User</v-list-item-title>
				</v-list-item-content>
			</v-list-item>

			<v-divider />

			<v-list dense>
				<v-list-item v-for="page in pages" :key="page.title" exact link :to="page.link">
					<v-list-item-icon>
						<v-icon>{{ page.icon }}</v-icon>
					</v-list-item-icon>

					<v-list-item-content>
						<v-list-item-title>{{ page.title }}</v-list-item-title>
					</v-list-item-content>
				</v-list-item>
			</v-list>

			<v-divider />

			<v-list-item>
				<v-list-item-content>
					<v-list-item-title>
						<v-switch v-model="$vuetify.theme.dark" class="mx-2" label="Dark mode" />
					</v-list-item-title>
				</v-list-item-content>
			</v-list-item>
		</v-navigation-drawer>
	</div>
</template>

<script>
export default {
	data() {
		return {
			drawer: {
				open: null
			},
			pages: [
				{
					icon: "fa-list",
					title: "Classic List",
					link: { name: "tasks", query: { mode: 0 } }
				},
				{
					icon: "fa-image",
					title: "Image List",
					link: { name: "tasks", query: { mode: 1 } }
				}
			]
		};
	},

	computed: {
		title() {
			return this.$store.state.title;
		}
	},

	methods: {
		toggleNavigationDrawer() {
			this.drawer.open = !this.drawer.open;
		}
	}
};
</script>